Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class CompoundControl

    java.lang.Object
      |
      +--javax.sound.sampled.Control
            |
            +--javax.sound.sampled.CompoundControl

public abstract class CompoundControl
extends Control

A `CompoundControl`, such as a graphic equalizer, provides control over two or more related properties, each of which is itself represented as a `Control`.

Since:
  1.3

Nested Class Summary
`static class` | `CompoundControl.Type` An instance of the `CompoundControl.Type` inner class identifies one kind of compound control.

Nested classes inherited from class javax.sound.sampled.Control
``

Constructor Summary
`protected` | `CompoundControl(CompoundControl.Type type, Control[] memberControls)` Constructs a new compound control object with the given parameters.

Method Summary
`Control[]` | `getMemberControls()` Returns the set of member controls that comprise the compound control.
`String` | `toString()` Provides a string representation of the control

Methods inherited from class javax.sound.sampled.Control
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompoundControl

    protected CompoundControl(CompoundControl.Type type,
                              Control[] memberControls)

  Constructs a new compound control object with the given parameters.

Parameters:
  `memberControls` - the set of member controls

Method Detail

### getMemberControls

    public Control[] getMemberControls()

  Returns the set of member controls that comprise the compound control.

  Returns:
    the set of member controls.

### toString

    public String toString()

  Provides a string representation of the control

  Overrides:
    `toString` in class `Control`
  Returns:
    a string description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.